The Network People Support Forums

Other TNPI Software => NicTool => Topic started by: shaun on April 14, 2008, 05:58:25 AM

Title: libwww-perl 5.810 gives new problems...
Post by: shaun on April 14, 2008, 05:58:25 AM
in libwww-perl 5.810 they removed support for content to be set to unicode strings.  I'm assuming this is what is now causing me problems.

+Changelog from 5.819
"Don't allow HTTP::Message content to be set to Unicode strings."

When i use the NicToolServerAPI module i'm now gettign this error

"HTTP::Message content not bytes at /usr/lib/perl5/site_perl/5.8.8/SOAP/Transport/HTTP.pm line 185"

The problem has not affected the web interface yet i'm assuming because i'm running the old libwww-perl version (5.808) but many of my other servers auto update software and modules.  I've started digging into this alittle bit, in my case right now send_request is causing this error and i'm assuming $url is whats not encoded properly.  I need to find a fix to this quick, anybody else seeing this?

Title: Re: libwww-perl 5.810 gives new problems...
Post by: shaun on April 14, 2008, 07:58:39 AM
The developers of libww-perl added a fix to there code that makes it no longer complain about Unicode strings unless they actually contain chars that can't be treated as bytes.  So far this has corrected the problem.